getMindmapFooterConfig(data?: GetMindmapFooterConfigParams)

Requires:
@tuya-miniapp/cloud-api≥1.7.0

Description

Mindmap footer bar configuration

Parameters

ParameterTypeRequiredDescription
NoRequest parameters

Return Value

Type: Promise<GetMindmapFooterConfigResult>
GetMindmapFooterConfigResult

Referenced Types

interfaceGetMindmapFooterConfigResultMind map bottom bar configuration result
PropertyTypeDescription
enabledbooleanWhether the bottom bar is enabled
logoUrlstringLogo URL
qrCodeUrlstringQR code URL
appNamestringTitle (already resolved based on the language)
sloganstringTagline (already resolved based on the language)

Examples

Request example

import { getMindmapFooterConfig } from '@tuya-miniapp/cloud-api';

getMindmapFooterConfig({})
  .then(response => {
    console.log(response);
  })
  .catch(error => {
    console.error('Failed to get mind map footer bar configuration:', error);
  });

Response example

{
  "enabled": true,
  "logoUrl": "https://example.com/logo.png",
  "qrCodeUrl": "https://example.com/qr.png",
  "appName": "AI Note",
  "slogan": "..."
}